library(survival)
## data for survival analysis needs a binary status variable e.g. 1 alive, 2 dead, see  ?Surv
dftoydata<-cbind(indivID=1:10,time=sample(1:5,10,rep=TRUE),status=2)
surv.toydata<-with(as.data.frame(dftoydata), Surv(time, status))
print(surv.toydata)
## [1] 1  2  1  3  3  2  1  4  2  5 
dftoydata[,"time"]
## [1] 1 2 1 3 3 2 1 4 2 5
## Old versions would accept survfit(surv.toydata)
sfit.toydata<-survfit(surv.toydata~1)
plot(sfit.toydata,conf.int=FALSE,xlab="time",ylab="Cumulative survival",lwd=3)
