library(survival)
dftoydata4<-data.frame(indivID=1:30,time=runif(30,min=0,max=300),status=sample(c(1,2),30,prob=c(0.2,0.8),rep=TRUE),treatment=sample(c("a","b"),30,rep=TRUE))
times.toydata4<-with(dftoydata4, Surv(time, status))
sfit.toydata4<-survfit(times.toydata4~treatment,dftoydata4)
print(sfit.toydata4,print.rmean=TRUE)
plot(sfit.toydata4,lwd=1,lty=c(1,2),xlab="time",ylab="Cumulative survival",cex.lab=1.5,conf.int=TRUE)
legend("bottomleft",legend=c("a","b"),lty=c(1,2),lwd=3,cex=2,bty="n")
